Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbccpl.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbccpl.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbccpl.F90	(revision 10986)
@@ -330,4 +330,5 @@
          WRITE(numout,*)'  ln_usecplmask                       = ', ln_usecplmask
          WRITE(numout,*)'  nn_cats_cpl                         = ', nn_cats_cpl
+         IF(lflush) CALL FLUSH(numout)
       ENDIF
 
@@ -466,6 +467,9 @@
          l_rnfcpl              = .TRUE.                      ! -> no need to read runoffs in sbcrnf
          ln_rnf                = nn_components /= jp_iam_sas ! -> force to go through sbcrnf if not sas
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) '   runoffs received from oasis -> force ln_rnf = ', ln_rnf
+         IF(lwp) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) '   runoffs received from oasis -> force ln_rnf = ', ln_rnf
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
       ENDIF
       !
@@ -476,6 +480,9 @@
       IF( srcv(jpr_isf)%laction .AND. ln_isf ) THEN
          l_isfcpl             = .TRUE.                      ! -> no need to read isf in sbcisf
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) '   iceshelf received from oasis '
+         IF(lwp) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) '   iceshelf received from oasis '
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
       ENDIF
       !
@@ -542,7 +549,10 @@
          srcv(jpr_co2 )%laction = .TRUE.
          l_co2cpl = .TRUE.
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) '   Atmospheric pco2 received from oasis '
-         IF(lwp) WRITE(numout,*)
+         IF(lwp) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) '   Atmospheric pco2 received from oasis '
+            WRITE(numout,*)
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
       ENDIF
       !
@@ -666,4 +676,5 @@
             WRITE(numout,*)'                  wind stress module'
             WRITE(numout,*)
+            IF(lflush) CALL FLUSH(numout)
          ENDIF
       ENDIF
@@ -713,4 +724,5 @@
             WRITE(numout,*)'               fraction of solar net radiation absorbed in the first ocean level'
             WRITE(numout,*)
+            IF(lflush) CALL FLUSH(numout)
          ENDIF
       ENDIF
@@ -980,4 +992,5 @@
             WRITE(numout,*)'               fraction of solar net radiation absorbed in the first ocean level'
             WRITE(numout,*)
+            IF(lflush) CALL FLUSH(numout)
          ENDIF
       ENDIF
@@ -1020,4 +1033,5 @@
             WRITE(numout,*)'                  wind stress U,V components'
             WRITE(numout,*)'                  wind stress module'
+            IF(lflush) CALL FLUSH(numout)
          ENDIF
       ENDIF
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcdcy.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcdcy.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcdcy.F90	(revision 10986)
@@ -97,4 +97,5 @@
             WRITE(numout,*) '~~~~~~~'
             WRITE(numout,*)
+            IF(lflush) CALL FLUSH(numout)
          ENDIF
          ! allocate sbcdcy arrays
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcflx.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcflx.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcflx.F90	(revision 10986)
@@ -169,4 +169,5 @@
                WRITE(numout,*) ' day: ', ndastp , TRIM(sf(jf)%clvar), ' * ', zfact
             END DO
+            IF(lflush) CALL FLUSH(numout)
          ENDIF
          !
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcfwb.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcfwb.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcfwb.F90	(revision 10986)
@@ -83,4 +83,5 @@
             IF( kn_fwb == 2 )   WRITE(numout,*) '          adjusted from previous year budget'
             IF( kn_fwb == 3 )   WRITE(numout,*) '          fwf set to zero and spread out over erp area'
+            IF(lflush) CALL FLUSH(numout)
          ENDIF
          !
@@ -121,8 +122,11 @@
             fwfold = a_fwb                            ! current year freshwater budget correction
             !                                         ! estimate from the previous year budget
-            IF(lwp)WRITE(numout,*)
-            IF(lwp)WRITE(numout,*)'sbc_fwb : year = ',iyear  , ' freshwater budget correction = ', fwfold
-            IF(lwp)WRITE(numout,*)'          year = ',iyear-1, ' freshwater budget read       = ', a_fwb
-            IF(lwp)WRITE(numout,*)'          year = ',iyear-2, ' freshwater budget read       = ', a_fwb_b
+            IF(lwp) THEN
+               WRITE(numout,*)
+               WRITE(numout,*)'sbc_fwb : year = ',iyear  , ' freshwater budget correction = ', fwfold
+               WRITE(numout,*)'          year = ',iyear-1, ' freshwater budget read       = ', a_fwb
+               WRITE(numout,*)'          year = ',iyear-2, ' freshwater budget read       = ', a_fwb_b
+               IF(lflush) CALL FLUSH(numout)
+             ENDIF
          ENDIF   
          !                                         ! Update fwfold if new year start
@@ -200,4 +204,5 @@
                WRITE(numout,*)'   MIN(zerp_cor) = ', MINVAL(zerp_cor) 
                WRITE(numout,*)'   MAX(zerp_cor) = ', MAXVAL(zerp_cor) 
+               IF(lflush) CALL FLUSH(numout)
             ENDIF
          ENDIF
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcisf.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcisf.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcisf.F90	(revision 10986)
@@ -206,5 +206,8 @@
          IF( ln_rstart .AND.    &                     ! Restart: read in restart file
             &   iom_varid( numror, 'fwf_isf_b', ldstop = .FALSE. ) > 0 ) THEN
-            IF(lwp .AND. nprint > 0) WRITE(numout,*) '          nit000-1 isf tracer content forcing fields read in the restart file'
+            IF(lwp .AND. nprint > 0) THEN
+               WRITE(numout,*) '          nit000-1 isf tracer content forcing fields read in the restart file'
+               IF(lflush) CALL FLUSH(numout)
+            ENDIF
             CALL iom_get( numror, jpdom_autoglo, 'fwf_isf_b', fwfisf_b(:,:)         , ldxios = lrxios )   ! before salt content isf_tsc trend
             CALL iom_get( numror, jpdom_autoglo, 'isf_sc_b' , risf_tsc_b(:,:,jp_sal), ldxios = lrxios )   ! before salt content isf_tsc trend
@@ -217,8 +220,11 @@
       ! 
       IF( lrst_oce ) THEN
-         IF(lwp .AND. nprint > 0) WRITE(numout,*)
-         IF(lwp .AND. nprint > 0) WRITE(numout,*) 'sbc : isf surface tracer content forcing fields written in ocean restart file ',   &
+         IF(lwp .AND. nprint > 0) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) 'sbc : isf surface tracer content forcing fields written in ocean restart file ',   &
             &                    'at it= ', kt,' date= ', ndastp
-         IF(lwp .AND. nprint > 0) WRITE(numout,*) '~~~~'
+            WRITE(numout,*) '~~~~'
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
          IF( lwxios ) CALL iom_swap(      cwxios_context          )
          CALL iom_rstput( kt, nitrst, numrow, 'fwf_isf_b', fwfisf(:,:)         , ldxios = lwxios )
@@ -285,15 +291,18 @@
       IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_isf )
 
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'sbc_isf_init : heat flux of the ice shelf'
-      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~'
-      IF(lwp) WRITE(numout,*) '   Namelist namsbc_isf :'
-      IF(lwp) WRITE(numout,*) '      type ice shelf melting/freezing         nn_isf      = ', nn_isf
-      IF(lwp) WRITE(numout,*) '      bulk formulation (nn_isf=1 only)        nn_isfblk   = ', nn_isfblk
-      IF(lwp) WRITE(numout,*) '      thickness of the top boundary layer     rn_hisf_tbl = ', rn_hisf_tbl
-      IF(lwp) WRITE(numout,*) '      gamma formulation                       nn_gammablk = ', nn_gammablk 
-      IF(lwp) WRITE(numout,*) '      gammat coefficient                      rn_gammat0  = ', rn_gammat0  
-      IF(lwp) WRITE(numout,*) '      gammas coefficient                      rn_gammas0  = ', rn_gammas0  
-      IF(lwp) WRITE(numout,*) '      top drag coef. used (from namdrg_top)   rn_Cd0      = ', r_Cdmin_top 
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'sbc_isf_init : heat flux of the ice shelf'
+         WRITE(numout,*) '~~~~~~~~~~~~'
+         WRITE(numout,*) '   Namelist namsbc_isf :'
+         WRITE(numout,*) '      type ice shelf melting/freezing         nn_isf      = ', nn_isf
+         WRITE(numout,*) '      bulk formulation (nn_isf=1 only)        nn_isfblk   = ', nn_isfblk
+         WRITE(numout,*) '      thickness of the top boundary layer     rn_hisf_tbl = ', rn_hisf_tbl
+         WRITE(numout,*) '      gamma formulation                       nn_gammablk = ', nn_gammablk 
+         WRITE(numout,*) '      gammat coefficient                      rn_gammat0  = ', rn_gammat0  
+         WRITE(numout,*) '      gammas coefficient                      rn_gammas0  = ', rn_gammas0  
+         WRITE(numout,*) '      top drag coef. used (from namdrg_top)   rn_Cd0      = ', r_Cdmin_top 
+         IF(lflush) CALL FLUSH(numout)
+      ENDIF
 
 
@@ -377,4 +386,5 @@
          CALL ctl_stop( 'sbc_isf_init: wrong value of nn_isf' )
       END SELECT
+      IF(lwp .AND. lflush) CALL FLUSH(numout)
          
       rhisf_tbl_0(:,:) = rhisf_tbl(:,:)
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcmod.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcmod.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcmod.F90	(revision 10986)
@@ -105,4 +105,5 @@
          WRITE(numout,*) 'sbc_init : surface boundary condition setting'
          WRITE(numout,*) '~~~~~~~~ '
+         IF(lflush) CALL FLUSH(numout)
       ENDIF
       !
@@ -162,4 +163,5 @@
          WRITE(numout,*) '               Stokes coriolis term                 ln_stcor      = ', ln_stcor
          WRITE(numout,*) '               neutral drag coefficient (CORE,NCAR) ln_cdgw       = ', ln_cdgw
+         IF(lflush) CALL FLUSH(numout)
       ENDIF
       !
@@ -207,4 +209,5 @@
          CALL ctl_stop( 'sbc_init : unsupported value for nn_components' )
       END SELECT
+      IF(lwp .AND. lflush) CALL FLUSH(numout)
       !                             !* coupled options
       IF( ln_cpl ) THEN
@@ -287,4 +290,5 @@
          END SELECT
          IF( ll_not_nemo  )       WRITE(numout,*) '               + OASIS coupled SAS'
+         IF(lflush) CALL FLUSH(numout)
       ENDIF
       !
@@ -303,4 +307,5 @@
             WRITE(numout,*)"   OPA-SAS coupled via OASIS : nn_fsbc re-defined from OASIS namcouple ", nn_fsbc
             WRITE(numout,*)
+            IF(lflush) CALL FLUSH(numout)
          ENDIF
       ENDIF
@@ -495,5 +500,8 @@
          IF( ln_rstart .AND.    &                               !* Restart: read in restart file
             & iom_varid( numror, 'utau_b', ldstop = .FALSE. ) > 0 ) THEN
-            IF(lwp .AND. nprint > 0) WRITE(numout,*) '          nit000-1 surface forcing fields red in the restart file'
+            IF(lwp .AND. nprint > 0) THEN
+               WRITE(numout,*) '          nit000-1 surface forcing fields red in the restart file'
+               IF(lflush) CALL FLUSH(numout)
+            ENDIF
             CALL iom_get( numror, jpdom_autoglo, 'utau_b', utau_b, ldxios = lrxios )   ! before i-stress  (U-point)
             CALL iom_get( numror, jpdom_autoglo, 'vtau_b', vtau_b, ldxios = lrxios )   ! before j-stress  (V-point)
@@ -509,5 +517,8 @@
             ENDIF
          ELSE                                                   !* no restart: set from nit000 values
-            IF(lwp) WRITE(numout,*) '          nit000-1 surface forcing fields set to nit000'
+            IF(lwp .AND. nprint > 0) THEN
+               WRITE(numout,*) '          nit000-1 surface forcing fields set to nit000'
+               IF(lflush) CALL FLUSH(numout)
+            ENDIF
             utau_b(:,:) = utau(:,:)
             vtau_b(:,:) = vtau(:,:)
@@ -520,8 +531,11 @@
       IF( lrst_oce ) THEN                              !      Write in the ocean restart file     !
          !                                             ! ---------------------------------------- !
-         IF(lwp .AND. nprint > 0) WRITE(numout,*)
-         IF(lwp .AND. nprint > 0) WRITE(numout,*) 'sbc : ocean surface forcing fields written in ocean restart file ',   &
+         IF(lwp .AND. nprint > 0) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) 'sbc : ocean surface forcing fields written in ocean restart file ',   &
             &                    'at it= ', kt,' date= ', ndastp
-         IF(lwp .AND. nprint > 0) WRITE(numout,*) '~~~~'
+            WRITE(numout,*) '~~~~'
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
          IF( lwxios ) CALL iom_swap(      cwxios_context          )
          CALL iom_rstput( kt, nitrst, numrow, 'utau_b' , utau, ldxios = lwxios )
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcrnf.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcrnf.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcrnf.F90	(revision 10986)
@@ -146,10 +146,16 @@
          IF( ln_rstart .AND.    &                               !* Restart: read in restart file
             & iom_varid( numror, 'rnf_b', ldstop = .FALSE. ) > 0 ) THEN
-            IF(lwp .AND. nprint > 0) WRITE(numout,*) '          nit000-1 runoff forcing fields red in the restart file', lrxios
+            IF(lwp .AND. nprint > 0) THEN
+               WRITE(numout,*) '          nit000-1 runoff forcing fields red in the restart file', lrxios
+               IF(lflush) CALL FLUSH(numout)
+            ENDIF
             CALL iom_get( numror, jpdom_autoglo, 'rnf_b', rnf_b, ldxios = lrxios )     ! before runoff
             CALL iom_get( numror, jpdom_autoglo, 'rnf_hc_b', rnf_tsc_b(:,:,jp_tem), ldxios = lrxios )   ! before heat content of runoff
             CALL iom_get( numror, jpdom_autoglo, 'rnf_sc_b', rnf_tsc_b(:,:,jp_sal), ldxios = lrxios )   ! before salinity content of runoff
          ELSE                                                   !* no restart: set from nit000 values
-            IF(lwp .AND. nprint > 0) WRITE(numout,*) '          nit000-1 runoff forcing fields set to nit000'
+            IF(lwp .AND. nprint > 0) THEN
+               WRITE(numout,*) '          nit000-1 runoff forcing fields set to nit000'
+               IF(lflush) CALL FLUSH(numout)
+            ENDIF
             rnf_b    (:,:  ) = rnf    (:,:  )
             rnf_tsc_b(:,:,:) = rnf_tsc(:,:,:)
@@ -159,8 +165,11 @@
       IF( lrst_oce ) THEN                              !      Write in the ocean restart file     !
          !                                             ! ---------------------------------------- !
-         IF(lwp .AND. nprint > 0) WRITE(numout,*)
-         IF(lwp .AND. nprint > 0) WRITE(numout,*) 'sbcrnf : runoff forcing fields written in ocean restart file ',   &
+         IF(lwp .AND. nprint > 0) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) 'sbcrnf : runoff forcing fields written in ocean restart file ',   &
             &                    'at it= ', kt,' date= ', ndastp
-         IF(lwp .AND. nprint > 0) WRITE(numout,*) '~~~~'
+            WRITE(numout,*) '~~~~'
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
          IF( lwxios ) CALL iom_swap(      cwxios_context          )
          CALL iom_rstput( kt, nitrst, numrow, 'rnf_b' , rnf, ldxios = lwxios )
@@ -284,4 +293,5 @@
          WRITE(numout,*) '      depth of river mouth additional mixing     rn_hrnf      = ', rn_hrnf
          WRITE(numout,*) '      multiplicative factor for runoff           rn_rfact     = ', rn_rfact
+         IF(lflush) CALL FLUSH(numout)
       ENDIF
       !                                   ! ==================
@@ -291,6 +301,9 @@
       IF( .NOT. l_rnfcpl ) THEN                    
          ALLOCATE( sf_rnf(1), STAT=ierror )         ! Create sf_rnf structure (runoff inflow)
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) '   ==>>>   runoffs inflow read in a file'
+         IF(lwp) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) '   ==>>>   runoffs inflow read in a file'
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
          IF( ierror > 0 ) THEN
             CALL ctl_stop( 'sbc_rnf_init: unable to allocate sf_rnf structure' )   ;   RETURN
@@ -302,6 +315,9 @@
       !
       IF( ln_rnf_tem ) THEN                      ! Create (if required) sf_t_rnf structure
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) '   ==>>>   runoffs temperatures read in a file'
+         IF(lwp) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) '   ==>>>   runoffs temperatures read in a file'
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
          ALLOCATE( sf_t_rnf(1), STAT=ierror  )
          IF( ierror > 0 ) THEN
@@ -314,6 +330,9 @@
       !
       IF( ln_rnf_sal  ) THEN                     ! Create (if required) sf_s_rnf and sf_t_rnf structures
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) '   ==>>>   runoffs salinities read in a file'
+         IF(lwp) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) '   ==>>>   runoffs salinities read in a file'
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
          ALLOCATE( sf_s_rnf(1), STAT=ierror  )
          IF( ierror > 0 ) THEN
@@ -326,6 +345,9 @@
       !
       IF( ln_rnf_depth ) THEN                    ! depth of runoffs set from a file
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) '   ==>>>   runoffs depth read in a file'
+         IF(lwp) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) '   ==>>>   runoffs depth read in a file'
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
          rn_dep_file = TRIM( cn_dir )//TRIM( sn_dep_rnf%clname )
          IF( .NOT. sn_dep_rnf%ln_clim ) THEN   ;   WRITE(rn_dep_file, '(a,"_y",i4)' ) TRIM( rn_dep_file ), nyear    ! add year 
@@ -363,9 +385,12 @@
       ELSE IF( ln_rnf_depth_ini ) THEN           ! runoffs applied at the surface
          !
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) '   ==>>>   depth of runoff computed once from max value of runoff'
-         IF(lwp) WRITE(numout,*) '        max value of the runoff climatologie (over global domain) rn_rnf_max = ', rn_rnf_max
-         IF(lwp) WRITE(numout,*) '        depth over which runoffs is spread                        rn_dep_max = ', rn_dep_max
-         IF(lwp) WRITE(numout,*) '        create (=1) a runoff depth file or not (=0)      nn_rnf_depth_file  = ', nn_rnf_depth_file
+         IF(lwp) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) '   ==>>>   depth of runoff computed once from max value of runoff'
+            WRITE(numout,*) '        max value of the runoff climatologie (over global domain) rn_rnf_max = ', rn_rnf_max
+            WRITE(numout,*) '        depth over which runoffs is spread                        rn_dep_max = ', rn_dep_max
+            WRITE(numout,*) '        create (=1) a runoff depth file or not (=0)      nn_rnf_depth_file  = ', nn_rnf_depth_file
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
 
          CALL iom_open( TRIM( sn_rnf%clname ), inum )    !  open runoff file
@@ -417,5 +442,8 @@
          !
          IF( nn_rnf_depth_file == 1 ) THEN      !  save  output nb levels for runoff
-            IF(lwp) WRITE(numout,*) '   ==>>>   create runoff depht file'
+            IF(lwp) THEN
+               WRITE(numout,*) '   ==>>>   create runoff depht file'
+               IF(lflush) CALL FLUSH(numout)
+            ENDIF
             CALL iom_open  ( TRIM( sn_dep_rnf%clname ), inum, ldwrt = .TRUE. )
             CALL iom_rstput( 0, 0, inum, 'rodepth', h_rnf )
@@ -449,16 +477,22 @@
             IF( ln_sco )   CALL ctl_warn( 'sbc_rnf_init: number of levels over which Kz is increased is computed for zco...' )
          ENDIF
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) '   ==>>>   Specific treatment used in vicinity of river mouths :'
-         IF(lwp) WRITE(numout,*) '             - Increase Kz in surface layers (if rn_hrnf > 0 )'
-         IF(lwp) WRITE(numout,*) '               by ', rn_avt_rnf,' m2/s  over ', nkrnf, ' w-levels'
-         IF(lwp) WRITE(numout,*) '             - set to zero SSS damping       (if ln_ssr=T)'
-         IF(lwp) WRITE(numout,*) '             - mixed upstream-centered       (if ln_traadv_cen2=T)'
+         IF(lwp) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) '   ==>>>   Specific treatment used in vicinity of river mouths :'
+            WRITE(numout,*) '             - Increase Kz in surface layers (if rn_hrnf > 0 )'
+            WRITE(numout,*) '               by ', rn_avt_rnf,' m2/s  over ', nkrnf, ' w-levels'
+            WRITE(numout,*) '             - set to zero SSS damping       (if ln_ssr=T)'
+            WRITE(numout,*) '             - mixed upstream-centered       (if ln_traadv_cen2=T)'
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
          !
          CALL rnf_mouth                             ! set river mouth mask
          !
       ELSE                                      ! No treatment at river mouths
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) '   ==>>>   No specific treatment at river mouths'
+         IF(lwp) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) '   ==>>>   No specific treatment at river mouths'
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
          rnfmsk  (:,:) = 0._wp
          rnfmsk_z(:)   = 0._wp
@@ -499,7 +533,10 @@
       !!----------------------------------------------------------------------
       !
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) '   rnf_mouth : river mouth mask'
-      IF(lwp) WRITE(numout,*) '   ~~~~~~~~~ '
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) '   rnf_mouth : river mouth mask'
+         WRITE(numout,*) '   ~~~~~~~~~ '
+         IF(lflush) CALL FLUSH(numout)
+      ENDIF
       !
       cl_rnfile = TRIM( cn_dir )//TRIM( sn_cnf%clname )
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcssm.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcssm.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcssm.F90	(revision 10986)
@@ -88,7 +88,10 @@
          IF( kt == nit000 .AND. .NOT. l_ssm_mean ) THEN   !   Initialisation: 1st time-step, no input means !
             !                                             ! ----------------------------------------------- !
-            IF(lwp) WRITE(numout,*)
-            IF(lwp) WRITE(numout,*) 'sbc_ssm : mean fields initialised to instantaneous values'
-            IF(lwp) WRITE(numout,*) '~~~~~~~   '
+            IF(lwp) THEN
+               WRITE(numout,*)
+               WRITE(numout,*) 'sbc_ssm : mean fields initialised to instantaneous values'
+               WRITE(numout,*) '~~~~~~~   '
+               IF(lflush) CALL FLUSH(numout)
+            ENDIF
             zcoef = REAL( nn_fsbc - 1, wp )
             ssu_m(:,:) = zcoef * ub(:,:,1)
@@ -151,8 +154,11 @@
          IF( lrst_oce ) THEN                              !      Write in the ocean restart file     !
             !                                             ! ---------------------------------------- !
-            IF(lwp) WRITE(numout,*)
-            IF(lwp) WRITE(numout,*) 'sbc_ssm : sea surface mean fields written in ocean restart file ',   &
+            IF(lwp) THEN
+               WRITE(numout,*)
+               WRITE(numout,*) 'sbc_ssm : sea surface mean fields written in ocean restart file ',   &
                &                    'at it= ', kt,' date= ', ndastp
-            IF(lwp) WRITE(numout,*) '~~~~~~~'
+               WRITE(numout,*) '~~~~~~~'
+               IF(lflush) CALL FLUSH(numout)
+            ENDIF
             zf_sbc = REAL( nn_fsbc, wp )
             IF( lwxios ) CALL iom_swap(      cwxios_context          )
@@ -197,13 +203,19 @@
       IF( nn_fsbc == 1 ) THEN
          !
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'sbc_ssm_init : sea surface mean fields, nn_fsbc=1 : instantaneous values'
-         IF(lwp) WRITE(numout,*) '~~~~~~~~~~~ '
+         IF(lwp) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) 'sbc_ssm_init : sea surface mean fields, nn_fsbc=1 : instantaneous values'
+            WRITE(numout,*) '~~~~~~~~~~~ '
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
          !
       ELSE
          !               
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'sbc_ssm_init : sea surface mean fields'
-         IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~ '
+         IF(lwp) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) 'sbc_ssm_init : sea surface mean fields'
+            WRITE(numout,*) '~~~~~~~~~~~~ '
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
          !
          IF( ln_rstart .AND. iom_varid( numror, 'nn_fsbc', ldstop = .FALSE. ) > 0 ) THEN
@@ -224,5 +236,8 @@
             !
             IF( zf_sbc /= REAL( nn_fsbc, wp ) ) THEN      ! nn_fsbc has changed between 2 runs
-               IF(lwp) WRITE(numout,*) '   restart with a change in the frequency of mean from ', zf_sbc, ' to ', nn_fsbc 
+               IF(lwp) THEN
+                  WRITE(numout,*) '   restart with a change in the frequency of mean from ', zf_sbc, ' to ', nn_fsbc 
+                  IF(lflush) CALL FLUSH(numout)
+               ENDIF
                zcoef = REAL( nn_fsbc - 1, wp ) / zf_sbc 
                ssu_m(:,:) = zcoef * ssu_m(:,:) 
@@ -234,5 +249,8 @@
                frq_m(:,:) = zcoef * frq_m(:,:)
             ELSE
-               IF(lwp) WRITE(numout,*) '   mean fields read in the ocean restart file'
+               IF(lwp) THEN
+                  WRITE(numout,*) '   mean fields read in the ocean restart file'
+                  IF(lflush) CALL FLUSH(numout)
+               ENDIF
             ENDIF
          ENDIF
@@ -241,5 +259,8 @@
       IF( .NOT.l_ssm_mean ) THEN   ! default initialisation. needed by iceistate
          !
-         IF(lwp) WRITE(numout,*) '   default initialisation of ss._m arrays'
+         IF(lwp) THEN
+            WRITE(numout,*) '   default initialisation of ss._m arrays'
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
          ssu_m(:,:) = ub(:,:,1)
          ssv_m(:,:) = vb(:,:,1)
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcssr.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcssr.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcssr.F90	(revision 10986)
@@ -162,4 +162,5 @@
          WRITE(numout,*) 'sbc_ssr : SST and/or SSS damping term '
          WRITE(numout,*) '~~~~~~~ '
+         IF(lflush) CALL FLUSH(numout)
       ENDIF
       ! 
@@ -182,4 +183,5 @@
          WRITE(numout,*) '         flag to bound erp term                 ln_sssr_bnd = ', ln_sssr_bnd
          WRITE(numout,*) '         ABS(Max./Min.) erp threshold           rn_sssr_bnd = ', rn_sssr_bnd, ' mm/day'
+         IF(lflush) CALL FLUSH(numout)
       ENDIF
       !
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbctide.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbctide.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbctide.F90	(revision 10986)
@@ -88,4 +88,5 @@
                WRITE(numout,*) Wave(ntide(jk))%cname_tide, utide(jk), ftide(jk), v0tide(jk), omega_tide(jk)
             END DO
+            IF(lflush) CALL FLUSH(numout)
          ENDIF
          !
@@ -145,4 +146,5 @@
          WRITE(numout,*) 'tide_init_load : Initialization of load potential from file'
          WRITE(numout,*) '~~~~~~~~~~~~~~ '
+         IF(lflush) CALL FLUSH(numout)
       ENDIF
       !
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/tideini.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/tideini.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/tideini.F90	(revision 10986)
@@ -80,11 +80,15 @@
             WRITE(numout,*) '         Fraction of SSH used in scal. approx.   rn_scal_load = ', rn_scal_load
             WRITE(numout,*) '         Duration (days) of ramp                 rdttideramp  = ', rdttideramp
+            IF(lflush) CALL FLUSH(numout)
          ENDIF
       ELSE
          rn_scal_load = 0._wp 
 
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'tide_init : tidal components not used (ln_tide = F)'
-         IF(lwp) WRITE(numout,*) '~~~~~~~~~ '
+         IF(lwp) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) 'tide_init : tidal components not used (ln_tide = F)'
+            WRITE(numout,*) '~~~~~~~~~ '
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
          RETURN
       ENDIF
